#!/bin/sh

source /koolshare/scripts/base.sh
alias echo_date='echo 【$(date +%Y年%m月%d日\ %X)】:'
LOG_FILE="/tmp/unmusic.log"

eval `dbus export unblockmusic_`


remove_unblock_restart_job(){
	if [ -n "$(cru l|grep unblockmusic_restart)" ]; then
		#echo_date "【网易云音乐解锁】：删除网易云音乐解锁自动重启定时任务..."
		sed -i '/unblockmusic_restart/d' /var/spool/cron/crontabs/* >/dev/null 2>&1
	fi
}
start_unblock_restart_job_day(){
	remove_unblock_restart_job
	cru a unblockmusic_restart ${unblockmusic_select_minute} ${unblockmusic_select_hour}" * * * /bin/sh /koolshare/scripts/unblockmusic_config.sh restart"
}
start_unblock_restart_job_week(){
	remove_unblock_restart_job
	cru a unblockmusic_restart ${unblockmusic_select_minute} ${unblockmusic_select_hour}" * * "${unblockmusic_select_week}" /bin/sh /koolshare/scripts/unblockmusic_config.sh restart"
}
start_unblock_restart_job_month(){
	remove_unblock_restart_job
	cru a unblockmusic_restart ${unblockmusic_select_minute} ${unblockmusic_select_hour} ${unblockmusic_select_day}" * * /bin/sh /koolshare/scripts/unblockmusic_config.sh restart"

}
case $unblockmusic_select_job in
1)
	remove_unblock_restart_job
	http_response "close"
	;;
2)
	start_unblock_restart_job_day
	http_response "open"
	;;
3)
	start_unblock_restart_job_week
	http_response "open"
	;;
4)
	start_unblock_restart_job_month
	http_response "open"
	;;
*)
	remove_unblock_restart_job
	http_response "close"
	;;
esac
